// Example component that connects to the backend API and fetches dummy data

import { useState } from 'react'
import AxiosClient from '../services/AxiosClient'

const StubComponent = () => {

    const [text, setText] = useState<string>('')

    // Sends api request to the backend
    const fetchStub = async () => {
        try {
            const { data } = await AxiosClient.get('/stub')
            if (!!data && data.success) {
                setText(data.message as string)
            }
        }
        catch (err) {
            console.log(`An error has occurred: ${err}`)
        }
    }

    return (
        <>
            <h1>Welcome to the internet</h1>
            <p>Click the button to fetch the message</p>
            <p>The message: {text}</p>
            <button onClick={fetchStub}>Fetch the message</button>
        </>
    )

}

export default StubComponent